<?php
session_start();
require 'db_con.php'; // Assurez-vous que db_con.php est inclus pour la connexion à la base de données

// Vérifiez si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    header("Location: index.php");
    exit;
}

// Vérifiez le rôle de l'utilisateur
$role = $_SESSION['role'];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Main Page</title>
</head>
<body>
    <h1>Bienvenue, <?php echo htmlspecialchars($_SESSION['username']); ?></h1>

    <!-- Lien de déconnexion -->
    <a href="logout.php">Déconnexion</a>

    <?php if ($role === 'admin' || $role === 'chef'): ?>
        <a href="os_management.php">Gérer les systèmes d'exploitation</a>
        <a href="language_management.php">Manage Programming Languages</a>
        <a href="client_management.php">Manage Clients</a>
    	<a href="ingredient_types_management.php">Manage Ingredient Types</a>
    <?php endif; ?>

    <?php if ($role === 'admin'): ?>
        <a href="user_management.php">Gérer les utilisateurs</a>
    <?php endif; ?>
</body>
</html>
